> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-update-node",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update a node with the Chainstack Platform API

> Update the name, configuration, or other properties of a Chainstack blockchain node. Send a PATCH request to /v1/nodes/{id}/ with the modified fields.



## OpenAPI

````yaml patch /v1/nodes/{id}/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/nodes/{id}/:
    parameters:
      - $ref: '#/components/parameters/Id'
    patch:
      tags:
        - Node
      summary: Update Node
      description: Change the node name.
      operationId: updateNode
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NodeUpdate'
            examples:
              node:
                value:
                  name: My new node name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Node'
              examples:
                ethereum:
                  $ref: '#/components/examples/EthereumNode'
                polygon pos:
                  $ref: '#/components/examples/PolygonPoSNode'
                bsc:
                  $ref: '#/components/examples/BinanceSmartChainNode'
                avalanche:
                  $ref: '#/components/examples/AvalancheNode'
                fantom:
                  $ref: '#/components/examples/FantomNode'
                tezos:
                  $ref: '#/components/examples/TezosNode'
                solana:
                  $ref: '#/components/examples/SolanaNode'
                starknet:
                  $ref: '#/components/examples/StarknetNode'
                bitcoin:
                  $ref: '#/components/examples/BitcoinNode'
                harmony:
                  $ref: '#/components/examples/HarmonyNode'
          description: ''
        '400':
          $ref: '#/components/responses/ValidationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      description: A unique value identifying the Object.
      schema:
        type: string
  schemas:
    NodeUpdate:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            configuration:
              $ref: '#/components/schemas/NodeConfiguration'
            type:
              readOnly: true
            role:
              allOf:
                - $ref: '#/components/schemas/NodeRoleEnum'
              readOnly: true
            provider:
              readOnly: true
            region:
              readOnly: true
            network:
              readOnly: true
    Node:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            role:
              $ref: '#/components/schemas/NodeRoleEnum'
            configuration:
              $ref: '#/components/schemas/NodeConfiguration'
    BaseNode:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          description: ID of the network.
        organization:
          type: string
          readOnly: true
          description: ID of the organization that owns this node.
        type:
          $ref: '#/components/schemas/NodeTypeEnum'
        provider:
          $ref: '#/components/schemas/Provider'
        region:
          $ref: '#/components/schemas/Region'
        details:
          allOf:
            - $ref: '#/components/schemas/NodeDetails'
          description: Protocol-specific attributes.
        status:
          $ref: '#/components/schemas/NodeStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the node was created.
    NodeConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNodeConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNodeConfiguration'
        - $ref: '#/components/schemas/AvalancheNodeConfiguration'
        - $ref: '#/components/schemas/FantomNodeConfiguration'
        - $ref: '#/components/schemas/TezosNodeConfiguration'
        - $ref: '#/components/schemas/SolanaNodeConfiguration'
        - $ref: '#/components/schemas/StarknetNodeConfiguration'
        - $ref: '#/components/schemas/HarmonyNodeConfiguration'
      readOnly: true
    NodeRoleEnum:
      type: string
      description: |
        Role of the node.
        <br>Available roles:
        * `peer` — peer node
      enum:
        - peer
    NodeTypeEnum:
      type: string
      description: >
        Type of the node.

        <br>Available types:

        * `shared` — only for `ethereum`, `polygon-pos`, `bsc`, `avalanche`,
        `fantom`, `tezos`, `bitcoin`

        * `dedicated` — for all protocols
      enum:
        - shared
        - dedicated
    Provider:
      type: string
      enum:
        - aws
        - azure
        - gcloud
        - vzo
      description: >
        Cloud provider.

        <br>See also [Supported cloud
        providers](https://docs.chainstack.com/platform/supported-cloud-hosting-providers).
    Region:
      type: string
      enum:
        - asia-southeast1
        - ap-southeast-1
        - us-west-2
        - us-east-1
        - uksouth
        - eu3
      description: |
        Regions the nodes are deployed to.

        Available for `gcloud`:
        * `asia-southeast1`

        Available for `aws`:
        * `ap-southeast-1`
        * `us-west-2`
        * `us-east-1`

        Available for `azure`:
        * `uksouth`

        Available for `vzo`:
        * `eu3`
    NodeDetails:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeDetails'
        - $ref: '#/components/schemas/BinanceSmartChainNodeDetails'
        - $ref: '#/components/schemas/AvalancheNodeDetails'
        - $ref: '#/components/schemas/FantomNodeDetails'
        - $ref: '#/components/schemas/TezosNodeDetails'
        - $ref: '#/components/schemas/SolanaNodeDetails'
        - $ref: '#/components/schemas/StarknetNodeDetails'
        - $ref: '#/components/schemas/BitcoinNodeDetails'
        - $ref: '#/components/schemas/HarmonyNodeDetails'
      readOnly: true
    NodeStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - running
        - maintenance
        - failed
        - error
        - stopping
        - stopped
        - starting
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    EthereumNodeConfiguration:
      type: object
      description: Ethereum node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/ethereum/modes).
    PolygonPoSNodeConfiguration:
      type: object
      description: Polygon PoS node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/polygon/modes).
    BinanceSmartChainNodeConfiguration:
      type: object
      description: Binance Smart Chain node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/bsc/modes).
    AvalancheNodeConfiguration:
      type: object
      description: Avalanche node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/avalanche/modes).
    FantomNodeConfiguration:
      type: object
      description: Fantom node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/fantom/modes).
    TezosNodeConfiguration:
      type: object
      description: Tezos node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/tezos/modes).
        tezos_node_type:
          type: string
          description: |
            Currently 'regular' is the only supported type.
    SolanaNodeConfiguration:
      type: object
      description: Solana node configuration.
    StarknetNodeConfiguration:
      type: object
      description: StarkNet node configuration.
    HarmonyNodeConfiguration:
      type: object
      description: Harmony node configuration.
      properties:
        archive:
          type: boolean
          description: |
            Only `false` (full mode) is currently supported.
        shard:
          type: integer
          minimum: 0
          maximum: 0
          description: |
            Only Shard 0 is currently supported.
    EthereumNodeDetails:
      type: object
      description: Ethereum node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Ethereum node
            modes](https://docs.chainstack.com/operations/ethereum/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        beacon_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BinanceSmartChainNodeDetails:
      type: object
      description: Binance Smart Chain node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Binance Smart Chain node
            modes](https://docs.chainstack.com/operations/bsc/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    AvalancheNodeDetails:
      type: object
      description: Avalanche node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    FantomNodeDetails:
      type: object
      description: Fantom node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    TezosNodeDetails:
      type: object
      description: Tezos node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    SolanaNodeDetails:
      type: object
      description: Solana node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    StarknetNodeDetails:
      type: object
      description: StarkNet node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BitcoinNodeDetails:
      type: object
      description: Bitcoin node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoint.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoint.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoint.
            <br>Only for the owner of the node.
    HarmonyNodeDetails:
      type: object
      description: Harmony node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
  examples:
    EthereumNode:
      value:
        id: ND-123-456-789
        name: My Ethereum archive node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: gcloud
        region: asia-southeast1
        status: running
        configuration:
          archive: true
        details:
          mode: archive
          version: 1.9.9
          api_namespaces:
            - net
            - eth
            - web3
            - txpool
            - debug
          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          beacon_endpoint: https://beacon-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    PolygonPoSNode:
      value:
        id: ND-123-456-789
        name: My Polygon PoS archive node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: gcloud
        region: asia-southeast1
        status: running
        configuration:
          archive: true
        details:
          mode: archive
          version: 1.0.6
          api_namespaces:
            - net
            - eth
            - web3
            - txpool
            - debug
            - parlia
          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    BinanceSmartChainNode:
      value:
        id: ND-123-456-789
        name: My Binance Smart Chain archive node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: gcloud
        region: asia-southeast1
        status: running
        configuration:
          archive: true
        details:
          mode: archive
          version: 1.0.6
          api_namespaces:
            - net
            - eth
            - web3
            - txpool
            - debug
            - parlia
          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    AvalancheNode:
      value:
        id: ND-123-456-789
        name: My Avalanche node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: vzo
        region: eu1
        status: running
        configuration:
          archive: false
        details:
          version: 1.7.2
          api_namespaces:
            - net
            - eth
            - web3
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    FantomNode:
      value:
        id: ND-123-456-789
        name: My Fantom node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: vzo
        region: eu1
        status: running
        configuration:
          archive: false
        details:
          version: 1.0.2
          api_namespaces:
            - net
            - eth
            - web3
          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    TezosNode:
      value:
        id: ND-123-456-789
        name: My Tezos node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: gcloud
        region: asia-southeast1
        status: running
        configuration:
          archive: false
          tezos_node_type: regular
        details:
          version: 9.2.0
          https_endpoint: https://nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    SolanaNode:
      value:
        id: ND-123-456-789
        name: My Solana node
        network: NW-123-456-7
        organization: RG-123-456
        type: shared
        role: peer
        provider: aws
        region: us-east-1
        status: running
        configuration: {}
        details:
          version: 1.8.8
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    StarknetNode:
      value:
        id: ND-123-456-789
        name: My StarkNet node
        network: NW-123-456-7
        organization: RG-123-456
        type: shared
        role: peer
        provider: aws
        region: us-east-1
        status: running
        configuration: {}
        details:
          version: 1.8.8
          https_endpoint: https://nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    BitcoinNode:
      value:
        id: ND-123-456-789
        name: My Bitcoin node
        network: NW-123-456-7
        organization: RG-123-456
        type: shared
        role: peer
        provider: gcloud
        region: asia-southeast1
        status: running
        configuration: {}
        details:
          version: 0.19.0.1
          https_endpoint: https://nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
    HarmonyNode:
      value:
        id: ND-123-456-789
        name: My Harmony node
        network: NW-123-456-7
        organization: RG-123-456
        type: dedicated
        role: peer
        provider: vzo
        region: eu1
        status: running
        configuration:
          archive: false
          shard: 0
        details:
          version: 4.3.9
          api_namespaces:
            - hmy
            - hmyv2
            - net
            - eth
            - web3
          https_endpoint: https://nd-123-456-789.p2pify.com
          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
          auth_username: user-name
          auth_password: pass-word-pass-word-pass-word
          auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
        created_at: '2020-06-15T07:38:00.747Z'
        creator:
          id: UR-111-111-111
          email: john.smith@example.com
          first_name: John
          last_name: Smith
          organization:
            id: RG-123-456
            name: My organization
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
    NotFoundError:
      description: >-
        Object does not exist or caller has insufficient permissions to access
        it.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````